%global appid one.alynx.showmethekey

Name:           showmethekey
Version:        1.18.1
Release:        0%{?dist}.1sunshine
Summary:        Show keys you typed on screen

License:        Apache-2.0
URL:            https://showmethekey.alynx.one/
Source0:        https://github.com/AlynxZhou/showmethekey/archive/refs/tags/v%{version}.tar.gz#/%{name}-v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  gcc
Buildrequires:  pkgconfig(libevdev)
Buildrequires:  pkgconfig(libudev)
Buildrequires:  pkgconfig(libinput)
Buildrequires:  pkgconfig(gtk4)
Buildrequires:  pkgconfig(libadwaita-1)
Buildrequires:  pkgconfig(x11)
Buildrequires:  pkgconfig(glib-2.0)
Buildrequires:  pkgconfig(json-glib-1.0)
Buildrequires:  pkgconfig(gio-2.0)
Buildrequires:  pkgconfig(cairo)
Buildrequires:  pkgconfig(pango)
Buildrequires:  pkgconfig(xkbcommon)
Buildrequires:  pkgconfig(xkbregistry)
BuildRequires:  desktop-file-utils


%description
Show keys you typed on screen, so your audiences can see what you do clearly
while you are streaming or recording. This is a screenkey alternative, and
works not only on X11 but also Wayland.

%prep
%autosetup -p1

%build
%meson
%ninja_build -C %{_vpath_builddir}

%install
%ninja_install -C %{_vpath_builddir}
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-gtk
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/icons/hicolor/*/apps/%{appid}.*
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_metainfodir}/%{appid}.metainfo.xml
%{_datadir}/polkit-1/rules.d/%{appid}.rules
%{_datadir}/polkit-1/actions/%{appid}.policy
%{_datadir}/applications/%{appid}.desktop


%changelog
* Mon Jan 13 2025 Moritz Barsnick <moritz+rpm@barsnick.net> 1.18.1-0.1sunshine
- update to 1.18.1

* Sun Nov 24 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 1.17.0-0.1sunshine
- update to 1.17.0
- drop the libadwaita patch, it's upstream

* Sat Nov 09 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 1.15.0-0.2sunshine
- add a patch for support of older libadwaita versions (<1.5)

* Sat Nov 09 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 1.15.0-0.1sunshine
- update to 1.15.0

* Wed May 15 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 0.13.1-0.1sunshine
- update to 0.13.1

* Fri Nov 10 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 0.12.0-0.1sunshine
- update to 0.12.0
- enhance %%description
- drop versioning of BR: pkgconfig(glib-2.0), upstream made it compatible

* Wed Aug 30 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 0.11.1-0.1sunshine
- update to 0.11.1

* Mon Aug 07 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 0.10.0-0.1sunshine
- initial RPM
